package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.engine.infa.InfoProperty;
import com.chenyang.nse.bussiness.entity.orm.table.core.ImportMaskingExecute;
import com.chenyang.nse.bussiness.entity.vo.ResultVO;
import com.chenyang.nse.bussiness.thread.ExecuteParam;
import java.util.List;
import org.dom4j.Document;
import org.dom4j.Element;
import org.springframework.web.multipart.MultipartFile;

public interface ImportDesensitizationtaskService {
   List<ImportMaskingExecute> queryTask(String taskname, PageInfo pageInfo);

   ResultVO importTask(MultipartFile importfile);

   long getExeTaskNum();

   void executeTasks(String taskid, List<Element> elementlist, String[] tids, ExecuteParam executeParam, Document doc);

   void executeTask(String taskid, String id, ExecuteParam executeParam, String taskname);

   InfoProperty getInfoProperty();

   void saveImportMaskingExecute(ImportMaskingExecute importMaskingExecute);

   List<ImportMaskingExecute> queryTaskList(String taskid);

   int saveDesensitizationMonitor(StringBuilder sql);

   ImportMaskingExecute getImportMaskingExecute(String taskid);

   void removetask(String taskid);
}
